/*
 * krootsview.h
 *
 * Copyright (C) 2008 Jonathan Fine (were.Vire@gmail.com)
 *
 * This file is part of KRoots.
 *
 * KRoots is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * KRoots is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with KRoots.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef KROOTSVIEW_H
#define KROOTSVIEW_H

#include <QtGui/QWidget>

#include "ui_KRootsView.h"

class KRootsView : public QWidget
{
    Q_OBJECT
public:
    /**
     * Default constructor
     */
    KRootsView(QWidget *parent);

    /**
     * Destructor
     */
    virtual ~KRootsView();

private:
    Ui::Form* mView;

signals:
private slots:
    void settingsChanged();
    void drawPolygon();
    void clearPolygons();
    void complexFormatChanged();
};

#endif // KRootsVIEW_H
